/* For anything revolving structure outside of interactive elements */
.grid{
    display: grid;
}
.add-gutter{
    grid-column-gap: 1rem;
    grid-row-gap: 1rem;
}

.center{
    margin-left: auto;
    margin-right: auto;
    max-width: var(--screenMaxWidth);
}

.add-gutter-column{
    grid-column-gap: 1rem;

}

.project-section-wrapper figure{
    padding: 0;
    margin: 0;
}

/* Footer */
section#contact{
    display: grid;
    padding-top: 3rem;
    padding-bottom: 3rem;
}

section#about{
    display: grid;
    padding-top: 3rem;
    padding-bottom: 3rem;

}

section#about img{
    height: 100%;
    max-width: 27rem;
    padding-left: 1rem;
    padding-right: 1rem;
    margin-left: auto;
    margin-right: auto;
}

section#about p{
    padding-bottom: 2rem;
}

section#contact h3{
    margin-top: 0.5rem;
}

section#contact div:not(:first-child){
    margin-top: 1.5rem;
}

@media(min-width: 60rem){
    section .project-section-wrapper{
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-auto-rows: auto;
        grid-auto-flow: row;
        grid-column-gap:1rem;
        grid-row-gap: 1rem;
        max-width: var(--screenMaxWidth);
    }

    .project-section-wrapper .grid-col-1{
        grid-column-start: 1;
        grid-column-end: 2;
        max-width: 40rem;
    }

    .project-section-wrapper .grid-col-2{
        grid-column-start: 2;
        grid-column-end: 3;
        max-width: 40rem;
    }

    .project-section-wrapper .grid-full{
        grid-column-start: 1;
        grid-column-end: 3;

    }

    section#contact{
        grid-template-columns: 1fr 1fr;
        grid-auto-rows: auto;
        grid-auto-flow: row;
        grid-column-gap:1rem;
        grid-row-gap:1rem;
        margin-left: auto;
        margin-right: auto;
        max-width: var(--screenMaxWidth);
    }

    section#contact div{
        display: grid;
        grid-template-columns: 1fr 2fr;
        grid-auto-rows: auto;
        grid-auto-flow: row;
        grid-column-gap:1rem;
        margin-top: 0;
        padding: 0;

    }

    section#contact div h2{
        grid-column: 1 / 2;
    }
    section#contact div h3,  section#contact div ul{
        grid-column: 2 / 3;
    }

    section#contact div:not(:first-child){
        margin-top: 0;
    }

    section#about{
        grid-template-columns: 3fr 2fr;
        grid-template-rows: auto;
    }
    section#about img{
        grid-column: 2 / 3;
        grid-row-start: 2;
        
        
    }
    section#about p{
        grid-column: 1 / 2;
        grid-row-start: 2;
    }


}

@media(max-width: 60rem) and (min-width: 30rem){
    section#contact{
        grid-template-columns: 1fr 1fr;
        grid-auto-rows: auto;
        grid-auto-flow: row;
        grid-column-gap:1rem;
        grid-row-gap:1rem;
        max-width: var(--screenMaxWidth);
    }

    section#contact div#quick-links{
        grid-column: 1 / 2;
    }
    section#contact div#contact-info{
        grid-column: 2 / 3;
    }

    section#contact div:not(:first-child){
        margin-top: 0;
    }

}

